<?php

/**
 * Provide a admin area view for the plugin
 *
 * This file is used to markup the admin-facing aspects of the plugin.
 *
 * @link       https://docular.net
 * @since      1.0.0
 *
 * @package    Docular
 * @subpackage Docular/admin/partials
 */
?>

<!-- This file should primarily consist of HTML with a little bit of PHP. -->


<?php
/*	
$all_options = wp_load_alloptions();
	
echo("<pre>");
print_r($all_options);
echo("</pre>");
*/
?>




<?php $domainkey = get_option("docular_api_domain_key"); ?>
<?php $clientsecret = get_option("docular_api_clientsecret"); ?>
<?php $stars = "**************************"; ?>

<div class="wrap">
	
	<div id="docular-admin-header">
		<div id="docular-logo-right"><img src="<?php echo plugins_url(); ?>/docular/admin/assets/docular_logo_black.png" alt="Docular logo" /></div>
	</div>
			
	<div class="docular-admin-section">
		<h1 class="docular-h1"><?php _e("GDPR-friendly documents for your Wordpress site", 'docular'); ?></h1>
		
		<p><?php _e("Docular is the easiest online legal document editor. You can create great GDRP-friendly privacy policies and terms and conditions and have them automatically appear in your site.", 'docular'); ?></p>
		<p><?php _e("Guidance notes help non-lawyers to create professional legal documents using Docular. Editing happens entirely online. Docular takes care of all the formatting, numbering and cross-referencing for you.", 'docular'); ?></p>
		<p><?php _e("To use a Docular document in your website you must first <a href=\"https://docular.net/users/register\">register for <strong>free</strong> on Docular</a>. Once registered find the document that best suits your needs - there are even dozens of <strong>free documents</strong> to use!", 'docular'); ?></p>



		<h2><?php _e("Docular Client Secret", 'docular'); ?></h2>
		<p>This version of the Docular plugin has changed the way it authenticates with the Docular API. This new authentiation overcomes some issues with authenticating on shared hosts. <a href="https://docular.net/users/api/">Go to the Docular API settings page</a> and generate your Client Secret to use here.
		<div  id="api-clientsecret-wrapper">
			<?php if($clientsecret ) : ?>
				<?php $hiddenclientsecret = $stars.substr($clientsecret, -6); ?>
				<div id="docular-display-clientsecret"><?php echo $hiddenclientsecret; ?></div>
				<button class="docular-admin-button docular-admin-button-light" id="remove-clientsecret"><?php _e("Remove Client Secret", 'docular'); ?></button>
			<?php else : ?>
				<div class="docular-input-group">
				<input type="text" id="api-clientsecret" class="docular-admin-input" placeholder="<?php _e("Your Docular Client Secret", 'docular'); ?>" autocomplete="off"><button class="docular-admin-button" id="add-clientsecret" autocomplete="off"><?php _e("Add Secret", 'docular'); ?></button>
				</div>
			<?php endif; ?>
		</div>



		<h2><?php _e("Docular API Domain Key", 'docular'); ?></h2>
		<div  id="api-domain-key-wrapper">
			<?php if($domainkey ) : ?>
				<?php $hiddendomainkey = $stars.substr($domainkey, -6); ?>
				<div id="docular-display-domain-key"><?php echo $hiddendomainkey; ?></div>
				<button class="docular-admin-button docular-admin-button-light" id="remove-domain-key"><?php _e("Remove Key", 'docular'); ?></button>
			<?php else : ?>
				<div class="docular-input-group">
				<input type="text" id="api-domain-key" class="docular-admin-input" placeholder="<?php _e("Your Docular API Domain Key", 'docular'); ?>" autocomplete="off"><button class="docular-admin-button" id="add-domain-key"><?php _e("Add Key", 'docular'); ?></button>
				</div>
			<?php endif; ?>
		</div>
		<p><?php _e("You can find out more about the domain key and how to create one for free on the <a href=\"https://docular.net/pages/api\">Docular API Help page</a>.", 'docular'); ?></p>
		<p><?php echo $this->show_connections(); ?></p>
		<div id="docular-documentslist">
			<?php if($domainkey) echo $this->docular_list_instances(); ?>
		</div>

		<h2><?php _e("How to add a document to your site", 'docular'); ?></h2>
		<div class="docular-helpimg">
			<img src="<?php echo plugins_url(); ?>/docular/admin/assets/document_key.png" alt="Add a Docular Document Key" >
			<div class="docular-caption"><?php _e("Add a Docular Document Key.", 'docular'); ?></div>
		</div>
		<ol>
			<li><?php _e("<a href=\"https://docular.net/users/register\">Register for <strong>free</strong> on Docular</a>.", 'docular'); ?></li>
			<li><?php _e("On Docular, choose the document you want, edit it, and save.", 'docular'); ?></li>
			<li><?php _e("Create an API Document Key on the document page on Docular.", 'docular'); ?></li>
			<li><?php _e("Refresh this page and all your documents with an API Document Key will be listed.", 'docular'); ?></li>
			<li><?php
				
				$butt = "<button class=\"docular-admin-button docular-admin-button-light docular-fake-refresh-button\"><i class=\"fa fa-plus\"></i>&nbsp;Get shortcode</button>";
				
				 echo sprintf(__("Get the shortcode for your document with the %s button.", 'docular'), $butt); ?>
				
			</li>
			<li><?php 
					$url = get_site_url()."/wp-admin/post-new.php?post_type=page";
					echo sprintf(__("<a href=\"%s\">Create a new page</a> on your site.", 'docular'), $url); 
				?></li>
			<li><?php _e("Paste the shortcode in to the page you created.", 'docular'); ?></li>
			<li><?php _e("Save the page and view your Docular document in it.", 'docular'); ?></li>
		</ol>
		<h2><?php _e("Advanced shortcode features", 'docular'); ?></h2>
		<h3 class="docular-h3"><?php _e("Displaying the document title", 'docular'); ?></h3>
			<ul class="docular-ul"><li><?php 
				$code = "<span class=\"docular-code\">title=\"false\"</span>";
				echo sprintf(__("The document title is displayed above the document by default. If you don't want the title of the document to be displayed add %s to your shortcode.", 'docular'), $code); 
			?><br /><?php _e("For example, your complete shortcode might be <span class=\"docular-code\">[docular documentkey=\"xxxxxxxxxxxxxxxx\" title=\"false\"]</span>", 'docular'); ?>
			</li></ul>

	</div>
</div>